cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Announcements
2491
Views
0
Helpful
7
Replies
Highlighted

LMS 4.0.1 - Device update problem for CiscoView

Hello,

I would like to update all CiscoView packages for my customer.

When I do :

Admin> System> Software Center> Device Update

I have a list of several updates to do :

Showing 1-15 of 15 records
Package Name Type Product Name Installed Version Available Version Readme Posted Date size
1.ASR1000DevicePackageCiscoView3.04.0ASR1000.cv50.v4-0.readme NANA
2.Cat3560DevicePackageCiscoView9.011.0Cat3560.cv50.v11-0.readme NANA
3.Cat3750DevicePackageCiscoView12.013.0Cat3750.cv50.v13-0.readme NANA
4.Cat6000IOSDevicePackageCiscoView31.031.2Cat6000IOS.cv50.v31-2.readme NANA
5.CVGenericPackageDevicePackageCiscoView1.41.5CVGenericPackage.cv50.v1-5.readme NANA
6.Cisco3400MEDevicePackageCiscoView4.05.0Cisco3400ME.cv50.v5-0.readme NANA
7.MetroEthernetDevicePackageCiscoView 2.0MetroEthernet.cv50.v2-0.readme NANA
8.Nexus5000DevicePackageCiscoView 1.0Nexus5000.cv50.v1-0.readme NANA
9.Nexus7000DevicePackageCiscoView2.03.0Nexus7000.cv50.v3-0.readme NANA
10.Rtr3900DevicePackageCiscoView4.05.0Rtr3900.cv50.v5-0.readme NANA
11.Rtr1900DevicePackageCiscoView2.03.0Rtr1900.cv50.v3-0.readme NANA
12.Rtr1800DevicePackageCiscoView9.010.0Rtr1800.cv50.v10-0.readme NANA
13.NGMARShareDevicePackageCiscoView1.151.17NGMARShare.cv50.v1-17.readme NANA
14.Rtr800DevicePackageCiscoView16.018.0Rtr800.cv50.v18-0.readme NANA
15.SwitchAddletsDevicePackageCiscoView1.281.31 NANA

But when I try to do these update, it always fails and I can see in the Event logs, this message :

Number of Packages Selected for Install : 1

For Product(s) : CiscoView

Install Invoked by user : admin

The Package(s) Selected for Install :

CVGenericPackage

WARNING :  CVGenericPackage(1.5):Consistency check failed for base package SwitchAddletsWhat can I do to update my CiscoWorks please ?


No package(s) to install for : CiscoView

Thank you.

Regards,

Stephane.

7 REPLIES 7
Highlighted

And for each individual device package I'm trying to update, I receive this error message :

Error
The installation of device package(s) failed.
Check Software Center > Activity Log > Event Log for details.

And the Event log show me this (for example, for the Cat3560 package) :

Number of Packages Selected for Install : 1

For Product(s) : CiscoView

Install Invoked by user : admin

The Package(s) Selected for Install :

Cat3560

No package(s) to install for : CiscoView

But when I do Device Update again (even if I Stop and Restart the Deamon Manager), I still see the same device packages list.

This problem is very annoying.

Do you want me to upload any other log ?

Highlighted

Here is the psu.log file.

Highlighted

If I try to do it in CLI, here is the same error message I receive :

Checking Dependencies...
WARNING: Cat6000IOS(31.2):Consistency check failed for base package SwitchAddlets
There are no Packages to be installed

Highlighted

Nobody have an idea ?

Highlighted

Have you tried the SwitchAddlets update by itself? I used to see this some with older versions that base dependency packages (such as SwitchAddlets) needed to be installed first. Only after it is successfully installed will other device level packages install properly. (Although I haven't run into this issue myself with LMS 4.x).

Highlighted

Hello,

I tried to install SwitchAddlets package alone, but nothing happened.

I still have this error message :

The installation of device package(s) failed.

When I look into Event Log, I can see that the package has been correctly installed, but it is not !
When I do it again (Device Update), I still have SwitchAddlets in the list, very strange.

Look @ the joined screenshots.

Highlighted

Your last screenshot seem to indicate a file / directory ownership problem. All users (or at least "casuer" - the CiscoWorks built-in application user account) should have RWX rights of the psu_download directories and files.

Content for Community-Ad